osgUtil Namespace Reference

## Classes

struct | ConvertVec
struct | ConvertVec< InType, OutType, 2, 2 >
struct | ConvertVec< InType, OutType, 2, 3 >
struct | ConvertVec< InType, OutType, 2, 4 >
struct | ConvertVec< InType, OutType, 3, 2 >
struct | ConvertVec< InType, OutType, 3, 3 >
struct | ConvertVec< InType, OutType, 3, 4 >
struct | ConvertVec< InType, OutType, 4, 2 >
struct | ConvertVec< InType, OutType, 4, 3 >
struct | ConvertVec< InType, OutType, 4, 4 >
class | CubeMapGenerator
class | CullVisitor
class | DelaunayConstraint
class | DelaunayTriangulator
class | DisplayRequirementsVisitor
class | DrawElementTypeSimplifier
class | DrawElementTypeSimplifierVisitor
struct | dereference_less
struct | dereference_clear
class | EdgeCollector
class | GLObjectsVisitor
class | GLObjectsOperation
class | HalfWayMapGenerator
class | HighlightMapGenerator
class | StateToCompile
class | IncrementalCompileOperation
class | Intersector
class | IntersectorGroup
class | IntersectionVisitor
class | Hit
class | IntersectVisitor
class | PickVisitor
class | LineSegmentIntersector
class | GeometryCollector
class | IndexMeshVisitor
class | VertexCacheVisitor
class | VertexCacheMissVisitor
class | VertexAccessOrderVisitor
class | SharedArrayOptimizer
class | OperationArrayFunctor
struct | AddRangeOperator
struct | MultiplyRangeOperator
class | BaseOptimizerVisitor
class | Optimizer
class | PerlinNoise
class | PlaneIntersector
class | PolytopeIntersector
class | PositionalStateContainer
class | PrintVisitor
class | RayIntersector
class | ReflectionMapGenerator
class | RenderBin
class | RenderLeaf
class | RenderStage
class | ReversePrimitiveFunctor
class | SceneGraphBuilder
class | SceneView
class | ShaderGenVisitor
class | Simplifier
class | SmoothingVisitor
struct | LessDepthSortFunctor
class | StateGraph
class | Statistics
class | StatsVisitor
class | TangentSpaceGenerator
class | Tessellator
class | TransformAttributeFunctor
class | TransformCallback
class | TriStripVisitor
class | UpdateVisitor

## Typedefs

typedef OperationArrayFunctor< AddRangeOperator > | AddRangeFunctor
typedef OperationArrayFunctor< MultiplyRangeOperator > | MultiplyRangeFunctor

## Functions

template<class T>
bool | dereference_check_less (const T &lhs, const T &rhs)
void | optimizeMesh (osg::Node *node)
osg::Image * | create3DNoiseImage (int texSize)
osg::Texture3D * | create3DNoiseTexture (int texSize)

## Detailed Description

The osgUtil library provides general purpose utility classes such as update, cull and draw traverses, scene graph operators such a scene graph optimisation, tri stripping, and tessellation.

## Typedef Documentation

## AddRangeFunctor

typedef OperationArrayFunctor<AddRangeOperator> osgUtil::AddRangeFunctor

## MultiplyRangeFunctor

typedef OperationArrayFunctor<MultiplyRangeOperator> osgUtil::MultiplyRangeFunctor

## Function Documentation

## create3DNoiseImage()

osg::Image * osgUtil::create3DNoiseImage | ( | int | texSize | ) |

inline

References osgUtil::PerlinNoise::create3DNoiseImage().

## create3DNoiseTexture()

osg::Texture3D * osgUtil::create3DNoiseTexture | ( | int | texSize | ) |

inline

References osgUtil::PerlinNoise::create3DNoiseTexture().

## dereference_check_less()

template<class T>

bool osgUtil::dereference_check_less | ( | const T & | lhs,
|  | const T & | rhs )

## optimizeMesh()

void osgUtil::optimizeMesh | ( | osg::Node * | node | ) |

inline

References osg::Node::accept(), osgUtil::IndexMeshVisitor::makeMesh(), osgUtil::VertexAccessOrderVisitor::optimizeOrder(), and osgUtil::VertexCacheVisitor::optimizeVertices().